MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027772Open CASCADE[OCCT] OCCT:Foundation Classespublic2016-08-13 23:562017-01-27 17:57
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027772: Foundation Classes - define Standard_Boolean using C++ type "bool" instead of "unsigned int"
DescriptionOCCT defines Standard_Boolean as "unsigned int" instead of built-in type "bool".

This leads to mistakes in API (Standard_Boolean can be transparent replacement for Standard_Integer),
requires a little bit of extra memory and produces annoying warnings in application code
('type' : forcing value to bool 'true' or 'false' (performance warning)).

So, it is proposed to change Standard_Boolean definition to use standard "bool" type.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027676closedbugmaster Foundation Classes - define Standard_ExtCharacter, Standard_Utf16Char using C++11 types char16_t 
related to 0028257closedapn XCAFPrs_Style - uninitialized memory usage within ::HashCode() 

-  Notes
(0056702)
git (administrator)
2016-08-14 01:02

Branch CR27772 has been created by kgv.

SHA-1: 69c3fdb990589161f65587752dae818a694be46d


Detailed log of new commits:

Author: kgv
Date: Sun Aug 14 01:01:52 2016 +0300

    0027772: Foundation Classes - define Standard_Boolean using C++ type "bool" instead of "unsigned int"
    
    Code has been updated to remove no-op casts and implicit casts to Standard_Boolean.
    
    Places of inproper use of Standard_Boolean instead of Standard_Integer
    have been corrected:
    - Bnd_Box, Bnd_Box2d
      Bit flags are now defined as private enum
    - HLRAlgo_BiPoint, HLRAlgo_EdgesBlock, HLRBRep_EdgeData, HLRBRep_FaceData
      Bit flags are now defined as enum
    - HLRAlgo_EdgeStatus, HLRBRep_BiPnt2D, HLRBRep_BiPoint
      Bit flags are now defined as bool fields
    - HLRAlgo_PolyData
      Bit flags are now defined as Standard_Integer
    - OSD_DirectoryIterator, OSD_FileIterator
      Boolean flag is now defined as Standard_Boolean
    - ShapeAnalysis_Surface::SurfaceNewton()
      now returns Standard_Integer (values 0, 1 or 3)
    - ChFi2d_FilletAlgo
      now uses TColStd_SequenceOfBoolean instead of TColStd_SequenceOfInteger
      for storing boolean flags
    
    IFSelect_DispPerCount::PacketsCount() and IFSelect_DispPerFiles::PacketsCount
    have been fixed to match documentation.
    
    ShapeFix_Solid::Status() has been fixed to decode requested status
    instead of returning integer value.
    
    TopOpeBRepBuild_Builder1 now defines map storing Standard_Boolean values
    instead of Standard_Integer.
    
    Persistence for Standard_Boolean type has been corrected
    to keep backward compatibility:
    - BinMDataStd, BinTools, FSD_BinaryFile
    
    Broken Draw Harness commands vdisplaymode and verasemode have been removed.
(0056703)
kgv (developer)
2016-08-14 01:04

Patch is ready for review (CR27772 for occt and Products).
(0056824)
git (administrator)
2016-08-18 15:08

Branch CR27772 has been updated by kgv.

SHA-1: 5dad561cb35c830f500fe9461057806ae1f62e77


Detailed log of new commits:

Author: kgv
Date: Thu Aug 18 15:08:01 2016 +0300

    Apply remarks
    
    Method IFSelect_Dispatch::PacketsCount() has been dropped from interface.
    Removed file Bnd_Box.lxx.
    TColStd_Array2OfBoolean is used instead of NCollection_Array2<bool>.
    Redundant check has been removed from expcurv2d and expcurv.

(0056861)
abv (manager)
2016-08-19 12:04

No remarks, please test
(0056866)
git (administrator)
2016-08-19 13:21

Branch CR27772 has been updated forcibly by apv.

SHA-1: 4b6e970a143f064fc9940fc1644dbab15a364a32
(0056869)
apv (tester)
2016-08-19 13:23

Branches CR17772 from occt and products git-repositories have been rebased on the current masters
(0056914)
apv (tester)
2016-08-22 11:57

Dear BugMaster,

Branch CR27772 from occt git-repository (and CR27772 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 4b6e970a143f064fc9940fc1644dbab15a364a32
SHA-1: 21d4325218626323fc9044faaa7ede2320d9b173

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 5 (0 on master)
   MasOS: 2 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1142
New warnings have been detected during OCCT component building
on Windows:
http://jenkins-test-05.nnov.opencascade.com/view/CR27772-CR27772/job/CR27772-CR27772-OCCT-Windows-64-VC10-opt-compile/1/warnings34Result/ [^]
on MacOS:
http://jenkins-test-05.nnov.opencascade.com/view/CR27772-CR27772/job/CR27772-CR27772-OCCT-MacOS-opt-compile/1/warnings7Result/ [^]

Compilation errors have been detected during building of Java Products samples on Windows:
http://jenkins-test-05.nnov.opencascade.com/view/CR27772-CR27772/job/CR27772-CR27772-Products-Windows-64-VC10-java-samples/2/parsed_console/ [^]

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
occt component:
Total MEMORY difference: 89433875 / 89529358 [-0.11%]
Total CPU difference: 19331.159999999916 / 19495.580000000107 [-0.84%]
products component:
Total MEMORY difference: 30067105 / 30056025 [+0.04%]
Total CPU difference: 5116.309999999976 / 5078.86999999998 [+0.74%]

Testing on Windows:
occt component:
Total MEMORY difference: 56998214 / 57161393 [-0.29%]
Total CPU difference: 17993.202140298887 / 18084.68112669885 [-0.51%]
products component:
Total MEMORY difference: 21248339 / 21261546 [-0.06%]
Total CPU difference: 4829.510158199945 / 4849.696687599947 [-0.42%]
(0056915)
apv (tester)
2016-08-22 11:58

Dear Kirill,

Branches CR27772 (from occt and products git-repositories) have been rejected due to:
- compilation errors
- additional warnings
(0056916)
git (administrator)
2016-08-22 12:24

Branch CR27772 has been updated by kgv.

SHA-1: 3ac69dc06a84d41976a0c9f1f8d812fac9493678


Detailed log of new commits:

Author: kgv
Date: Mon Aug 22 12:23:39 2016 +0300

    fix compiler warnings

(0056917)
git (administrator)
2016-08-22 12:28

Branch CR27772_1 has been created by kgv.

SHA-1: f1ea751c2c5455299063767ca443c7e55d35e221


Detailed log of new commits:

Author: kgv
Date: Sun Aug 14 01:01:52 2016 +0300

    0027772: Foundation Classes - define Standard_Boolean using C++ type "bool" instead of "unsigned int"
    
    Code has been updated to remove no-op casts and implicit casts to Standard_Boolean.
    
    Places of inproper use of Standard_Boolean instead of Standard_Integer
    have been corrected:
    - Bnd_Box, Bnd_Box2d
      Bit flags are now defined as private enum
    - HLRAlgo_BiPoint, HLRAlgo_EdgesBlock, HLRBRep_EdgeData, HLRBRep_FaceData
      Bit flags are now defined as enum
    - HLRAlgo_EdgeStatus, HLRBRep_BiPnt2D, HLRBRep_BiPoint
      Bit flags are now defined as bool fields
    - HLRAlgo_PolyData
      Bit flags are now defined as Standard_Integer
    - OSD_DirectoryIterator, OSD_FileIterator
      Boolean flag is now defined as Standard_Boolean
    - ShapeAnalysis_Surface::SurfaceNewton()
      now returns Standard_Integer (values 0, 1 or 3)
    - ChFi2d_FilletAlgo
      now uses TColStd_SequenceOfBoolean instead of TColStd_SequenceOfInteger
      for storing boolean flags
    
    Method IFSelect_Dispatch::PacketsCount() has been dropped from interface.
    
    ShapeFix_Solid::Status() has been fixed to decode requested status
    instead of returning integer value.
    
    TopOpeBRepBuild_Builder1 now defines map storing Standard_Boolean values
    instead of Standard_Integer.
    
    Persistence for Standard_Boolean type has been corrected
    to keep backward compatibility:
    - BinMDataStd, BinTools, FSD_BinaryFile
    
    Broken Draw Harness commands vdisplaymode and verasemode have been removed.
(0056918)
kgv (developer)
2016-08-22 12:54
edited on: 2016-08-22 12:55

Please check updated patch in branch CR27772_1 (in occt and Products).

(0056955)
apv (tester)
2016-08-23 12:05

Dear BugMaster,

Branch CR27772_1 from occt git-repository (and CR27772_1 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: f1ea751c2c5455299063767ca443c7e55d35e221
SHA-1: f3ae8e103e2e76efa16d0c8d8f7bb7db709b883c

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1133
Compilation errors have been detected during building of Java Products samples on Windows:
http://jenkins-test-05.nnov.opencascade.com/view/CR27772_1-CR27772_1/job/CR27772_1-CR27772_1-Products-Windows-64-VC10-java-samples/1/parsed_console/ [^]

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
occt component:
Total MEMORY difference: 89317875 / 89509217 [-0.21%]
Total CPU difference: 19292.06000000003 / 19495.68000000011 [-1.04%]
products component:
Total MEMORY difference: 30056569 / 30056025 [+0.00%]
Total CPU difference: 5136.7099999999755 / 5078.86999999998 [+1.14%]

Testing on Windows:
occt component:
Total MEMORY difference: 57004350 / 57161393 [-0.27%]
Total CPU difference: 17977.19643769883 / 18084.68112669885 [-0.59%]
products component:
Total MEMORY difference: 21249936 / 21261546 [-0.05%]
Total CPU difference: 4828.5273518999475 / 4849.696687599947 [-0.44%]
(0056956)
apv (tester)
2016-08-23 12:06

Dear Kirill,

Branches CR27772_1 (from occt and products git-repositories) have been rejected due to:
- compilation errors
(0056957)
kgv (developer)
2016-08-23 12:37

CR27772_1 in products has been updated - please recheck compilation of Java sample.
Regression testing is not needed.
(0057013)
apv (tester)
2016-08-24 10:32
edited on: 2016-08-24 10:33

Dear BugMaster,

Branch CR27772_1 from occt git-repository (and CR27772_1 from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: f1ea751c2c5455299063767ca443c7e55d35e221
SHA-1: 660aca6028e4b93596b3b56105428d6c82bd541e

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1141

(0057123)
git (administrator)
2016-08-26 16:21

Branch CR27772_1 has been deleted by inv.

SHA-1: f1ea751c2c5455299063767ca443c7e55d35e221
(0057124)
git (administrator)
2016-08-26 16:21

Branch CR27772 has been deleted by inv.

SHA-1: 3ac69dc06a84d41976a0c9f1f8d812fac9493678

- Related Changesets
occt: master dde68833
Timestamp: 2016-08-25 11:58:51
Author: abv
Committer: abv
Details ] Diff ]
0027772: Foundation Classes - define Standard_Boolean using C++ type "bool" instead of "unsigned int"

Code has been updated to remove no-op casts and implicit casts to Standard_Boolean.

Places of inproper use of Standard_Boolean instead of Standard_Integer
have been corrected:
- Bnd_Box, Bnd_Box2d
  Bit flags are now defined as private enum
- HLRAlgo_BiPoint, HLRAlgo_EdgesBlock, HLRBRep_EdgeData, HLRBRep_FaceData
  Bit flags are now defined as enum
- HLRAlgo_EdgeStatus, HLRBRep_BiPnt2D, HLRBRep_BiPoint
  Bit flags are now defined as bool fields
- HLRAlgo_PolyData
  Bit flags are now defined as Standard_Integer
- OSD_DirectoryIterator, OSD_FileIterator
  Boolean flag is now defined as Standard_Boolean
- ShapeAnalysis_Surface::SurfaceNewton()
  now returns Standard_Integer (values 0, 1 or 3)
- ChFi2d_FilletAlgo
  now uses TColStd_SequenceOfBoolean instead of TColStd_SequenceOfInteger
  for storing boolean flags

Method IFSelect_Dispatch::PacketsCount() has been dropped from interface.

ShapeFix_Solid::Status() has been fixed to decode requested status
instead of returning integer value.

TopOpeBRepBuild_Builder1 now defines map storing Standard_Boolean values
instead of Standard_Integer.

Persistence for Standard_Boolean type has been corrected
to keep backward compatibility:
- BinMDataStd, BinTools, FSD_BinaryFile

Broken Draw Harness commands vdisplaymode and verasemode have been removed.

BRepMesh_FastDiscretFace::initDataStructure() - workaround old gcc limitations

BRepMesh_IncrementalMesh::clear() - avoid ambiguity
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/SelectionDialog.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ColoredMeshDlg.cpp Diff ] File ]
mod - samples/mfc/standard/Common/DimensionDlg.cpp Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_IsoCurve.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentSection.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ByteArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntPackedMapDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealArrayDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_ConstraintDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PatternStdDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PresentationDriver.cxx Diff ] File ]
mod - src/BinObjMgt/BinObjMgt_Persistent.lxx Diff ] File ]
mod - src/BinTools/BinTools.cxx Diff ] File ]
mod - src/Bnd/Bnd_Box.cxx Diff ] File ]
mod - src/Bnd/Bnd_Box.hxx Diff ] File ]
rm - src/Bnd/Bnd_Box.lxx Diff ] File ]
mod - src/Bnd/Bnd_Box2d.hxx Diff ] File ]
rm - src/Bnd/Bnd_Box2d.lxx Diff ] File ]
mod - src/Bnd/FILES Diff ] File ]
mod - src/BOPDS/BOPDS_IndexRange.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_Interf.hxx Diff ] File ]
mod - src/BOPTest/BOPTest_OptionCommands.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.hxx Diff ] File ]
mod - src/BRep/BRep_TEdge.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Tool.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_Sweep.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscretFace.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_GWedge.cxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_OneAxis.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_CheckCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_CurveCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_DraftAngleCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FeatureCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FillingCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_SweepCommands.cxx Diff ] File ]
mod - src/BRepToIGES/BRepToIGES_BREntity.cxx Diff ] File ]
mod - src/BRepToIGESBRep/BRepToIGESBRep_Entity.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Quilt.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_FilletAlgo.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_FilletAlgo.hxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder.hxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_2.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_6.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_C1.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_C2.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_ChBuilder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_ChBuilder.hxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_ChBuilder_C3.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_FilBuilder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_FilBuilder.hxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_FilBuilder_C3.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_SurfData.lxx Diff ] File ]
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_TreeCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming.cxx Diff ] File ]
mod - src/DNaming/DNaming_BasicCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_Line3DDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_ModelingCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_SelectionCommands.cxx Diff ] File ]
mod - src/Draw/Draw.cxx Diff ] File ]
mod - src/Draw/Draw_Interpretor.cxx Diff ] File ]
mod - src/Extrema/Extrema_Curve2dTool.lxx Diff ] File ]
mod - src/FilletSurf/FilletSurf_InternalBuilder.cxx Diff ] File ]
mod - src/FilletSurf/FilletSurf_InternalBuilder.hxx Diff ] File ]
mod - src/FSD/FSD_BinaryFile.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MarkerImage.cxx Diff ] File ]
mod - src/HLRAlgo/FILES Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_BiPoint.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_BiPoint.hxx Diff ] File ]
rm - src/HLRAlgo/HLRAlgo_BiPoint.lxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_EdgesBlock.hxx Diff ] File ]
rm - src/HLRAlgo/HLRAlgo_EdgesBlock.lxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_EdgeStatus.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_EdgeStatus.hxx Diff ] File ]
rm - src/HLRAlgo/HLRAlgo_EdgeStatus.lxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyAlgo.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyData.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyData.hxx Diff ] File ]
mod - src/HLRBRep/FILES Diff ] File ]
rm - src/HLRBRep/HLRBRep_BiPnt2D.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_BiPnt2D.hxx Diff ] File ]
rm - src/HLRBRep/HLRBRep_BiPnt2D.lxx Diff ] File ]
rm - src/HLRBRep/HLRBRep_BiPoint.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_BiPoint.hxx Diff ] File ]
rm - src/HLRBRep/HLRBRep_BiPoint.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_EdgeData.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_EdgeData.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_FaceData.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_FaceData.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PolyAlgo.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PolyAlgo.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_Dispatch.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Dispatch.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_DispGlobal.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_DispGlobal.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_DispPerCount.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_DispPerCount.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_DispPerFiles.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_DispPerFiles.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_DispPerOne.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_DispPerOne.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_Functions.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SelectRootComps.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SelectRoots.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionPilot.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESEntity.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_CircArraySubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_CircArraySubfigure.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ConnectPoint.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ConnectPoint.hxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_RectArraySubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_RectArraySubfigure.hxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_TopoBuilder.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_TopoBuilder.hxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_Actor.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_RstInt.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge.cxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw.cxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw_Interactor.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitShape.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_WiresOnShape.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Clipping.hxx Diff ] File ]
mod - src/OSD/OSD_DirectoryIterator.cxx Diff ] File ]
mod - src/OSD/OSD_DirectoryIterator.hxx Diff ] File ]
mod - src/OSD/OSD_FileIterator.cxx Diff ] File ]
mod - src/OSD/OSD_FileIterator.hxx Diff ] File ]
mod - src/Poly/Poly_MakeLoops.hxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/QADNaming/QADNaming_BasicCommands.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Loader.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_LoaderParent.cxx Diff ] File ]
mod - src/QANewDBRepNaming/QANewDBRepNaming_PrimitiveCommands.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Tools.cxx Diff ] File ]
mod - src/RWStl/RWStl.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_BaseFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_BaseFrustum.hxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.hxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_DirectModification.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_ComposeShell.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Shape.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Shell.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Solid.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wire.cxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_BRep.cxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_TopoDS.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_Context.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_OperLibrary.cxx Diff ] File ]
mod - src/Standard/Standard_Character.hxx Diff ] File ]
mod - src/Standard/Standard_Transient.cxx Diff ] File ]
mod - src/Standard/Standard_TypeDef.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Collection.cxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Collection.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorRead.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorWrite.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_Reader.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdge.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeAnalysis.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeCustom.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeExtend.cxx Diff ] File ]
mod - src/TColStd/TColStd_PackedMapOfInteger.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanList.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_BOOPCommands.cxx Diff ] File ]
mod - src/TFunction/FILES Diff ] File ]
mod - src/TFunction/TFunction_Function.hxx Diff ] File ]
rm - src/TFunction/TFunction_Function.lxx Diff ] File ]
mod - src/TObj/TObj_Object.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepEdge.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepFace.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepVertex.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller.hxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FFTransitionTool.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_traceBOOPNINT.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vpr.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vprclo.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Builder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Builder1.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Builder1.hxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GTool.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GTopo.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GTopo.hxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_KPart.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_redu.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_repvg.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_CmdParser.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Dimension.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ByteArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntPackedMapDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealArrayDriver.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-13 23:56 kgv New Issue
2016-08-13 23:56 kgv Assigned To => abv
2016-08-14 00:03 kgv Description Updated View Revisions
2016-08-14 01:02 git Note Added: 0056702
2016-08-14 01:04 kgv Note Added: 0056703
2016-08-14 01:04 kgv Status new => resolved
2016-08-14 01:04 kgv Relationship added related to 0027676
2016-08-18 15:08 git Note Added: 0056824
2016-08-19 12:04 abv Note Added: 0056861
2016-08-19 12:04 abv Assigned To abv => bugmaster
2016-08-19 12:04 abv Status resolved => reviewed
2016-08-19 12:25 apv Assigned To bugmaster => apv
2016-08-19 13:21 git Note Added: 0056866
2016-08-19 13:23 apv Note Added: 0056869
2016-08-22 10:22 apv Test case number => Not needed
2016-08-22 11:57 apv Note Added: 0056914
2016-08-22 11:57 apv Assigned To apv => kgv
2016-08-22 11:57 apv Status reviewed => assigned
2016-08-22 11:58 apv Note Added: 0056915
2016-08-22 12:24 git Note Added: 0056916
2016-08-22 12:28 git Note Added: 0056917
2016-08-22 12:54 kgv Note Added: 0056918
2016-08-22 12:54 kgv Assigned To kgv => bugmaster
2016-08-22 12:54 kgv Status assigned => resolved
2016-08-22 12:54 kgv Status resolved => reviewed
2016-08-22 12:55 kgv Note Edited: 0056918 View Revisions
2016-08-22 13:58 apv Assigned To bugmaster => apv
2016-08-23 12:05 apv Note Added: 0056955
2016-08-23 12:05 apv Assigned To apv => kgv
2016-08-23 12:05 apv Status reviewed => assigned
2016-08-23 12:06 apv Note Added: 0056956
2016-08-23 12:37 kgv Note Added: 0056957
2016-08-23 12:37 kgv Assigned To kgv => bugmaster
2016-08-23 12:37 kgv Status assigned => resolved
2016-08-23 12:37 kgv Status resolved => reviewed
2016-08-23 13:36 apv Assigned To bugmaster => apv
2016-08-24 10:32 apv Note Added: 0057013
2016-08-24 10:32 apv Assigned To apv => bugmaster
2016-08-24 10:32 apv Status reviewed => tested
2016-08-24 10:33 apv Note Edited: 0057013 View Revisions
2016-08-26 11:53 abv Changeset attached => occt master dde68833
2016-08-26 11:53 abv Assigned To bugmaster => abv
2016-08-26 11:53 abv Status tested => verified
2016-08-26 11:53 abv Resolution open => fixed
2016-08-26 16:21 git Note Added: 0057123
2016-08-26 16:21 git Note Added: 0057124
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:40 user533 Fixed in Version => 7.1.0
2017-01-27 17:57 kgv Relationship added related to 0028257


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker